package com.common.im.bean;

import android.text.TextUtils;

import com.mcxtzhang.indexlib.IndexBar.bean.BaseIndexPinyinBean;

/**
 * Description:
 * Copyright  : Copyright (c) 2019
 * Company    : 大雅乐盟
 * Author     : r
 * Date       : 2019/10/3 10:42
 */
public class ContactListBean extends BaseIndexPinyinBean {

    /**
     * createTime :
     * friendAvatar :
     * friendId : 0
     * friendNickname :
     * id : 0
     * memo :
     * updateTime :
     * userId : 0
     */

    public String createTime;
    public String friendAvatar;
    public String friendId;
    public String friendNickname;
    public int id;
    public String memo;
    public String updateTime;
    public int userId;

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getTarget() {
        return TextUtils.isEmpty(friendNickname) ? "#" : friendNickname;
    }
}
